﻿using UnityEngine;
using System.Collections;

public class DoorController : MonoBehaviour {

	public GameObject door_left;
	public GameObject door_right;

	public GameObject DoorAudio;
	private AudioSource m_openingAudio = null;

	
	bool m_state_closed = true;
	bool m_state_opening = false;

	public float t_amount=0.5f;

	// Use this for initialization
	void Start () {

		m_openingAudio = (AudioSource) DoorAudio.GetComponent(typeof(AudioSource));
	}
	
	public bool IsClosed(){
		if(m_state_closed && !m_state_opening){
			return true;
		}else{
			return false;
		}
	}
	
	void OpenDoors(){
		
		if(m_state_closed){
			door_left.transform.Translate (Vector2.left * t_amount*Time.deltaTime);
			door_right.transform.Translate (Vector2.right * t_amount*Time.deltaTime);
			
			//print("door_r.x:"+door_right.transform.localPosition.x.ToString());
			
			if(door_right.transform.localPosition.x >= 4.0f){
				m_state_closed = false;
				m_state_opening = false;
			}
		
		}
	}
	
	public void OpenSafe(){
		m_state_opening = true;

		m_openingAudio.Play();
		m_openingAudio.Play(44100);
	}
	
	void ResetDoors(){
		m_state_closed = true;
		m_state_opening = false;
		door_left.transform.Translate (Vector2.right * t_amount);
		door_right.transform.Translate (Vector2.left * t_amount);
	}
	
	// Update is called once per frame
	void Update () {
		if(m_state_opening){
			OpenDoors();
		}
	}
}
