﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class ExitDialog : MonoBehaviour {

	public Canvas dialogCanvas;
	public Canvas solvedCanvas;
	public CameraController m_CameraController;

	void Awake(){
		dialogCanvas.enabled = false;
		solvedCanvas.enabled = false;
	}

	public void GiveUp(){
		Application.Quit ();
	}

	public void Cancel(){
		dialogCanvas.enabled = false;
		m_CameraController.enabled = true;
        Cursor.visible = false;
	}

	public void TryAgain(){
		SceneManager.LoadScene ("GameScene", LoadSceneMode.Single);
	}


	void Update () {
		if (Input.GetKeyDown(KeyCode.Escape)){
			print("esc key was pressed");
			dialogCanvas.enabled = true;
			m_CameraController.enabled = false;
            Cursor.visible = true;
		}
	}
}
